Package com.opensymphony.module.sitemesh.html

# Class BlockExtractingRule

java.lang.Object
com.opensymphony.module.sitemesh.html.BasicRule
com.opensymphony.module.sitemesh.html.BlockExtractingRule

All Implemented Interfaces:
  `TagRule`

Direct Known Subclasses:
  `ContentBlockExtractingRule`, `HeadExtractingRule`, `MSOfficeDocumentPropertiesRule`, `TitleExtractingRule`

public abstract class BlockExtractingRule extends BasicRule

## Field Summary

Fields
Modifier and Type
Field
Description
`private boolean`
`includeEnclosingTags`
`private boolean`
`seenOpeningTag`

### Fields inherited from class com.opensymphony.module.sitemesh.html.BasicRule

`context`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`BlockExtractingRule(boolean includeEnclosingTags)`
`protected`
`BlockExtractingRule(boolean includeEnclosingTags, String acceptableTagName)`

## Method Summary

Modifier and Type
Method
Description
`protected CharArray`
`createBuffer()`
`protected void`
`end(Tag tag)`
`void`
`process(Tag tag)`
`protected void`
`start(Tag tag)`

### Methods inherited from class com.opensymphony.module.sitemesh.html.BasicRule

`currentBuffer, setContext, shouldProcess`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### includeEnclosingTags

private boolean includeEnclosingTags

### seenOpeningTag

private boolean seenOpeningTag

## Constructor Details

### BlockExtractingRule

protected BlockExtractingRule(boolean includeEnclosingTags, String acceptableTagName)

### BlockExtractingRule

protected BlockExtractingRule(boolean includeEnclosingTags)

## Method Details

### process

public void process(Tag tag)

Specified by:
  `process` in interface `TagRule`
Specified by:
  `process` in class `BasicRule`

### start

protected void start(Tag tag)

### end

protected void end(Tag tag)

### createBuffer

protected CharArray createBuffer()